#ifndef BRGENERALRESULT_H
#define BRGENERALRESULT_H

#include <QObject>
#include <QDebug>
#include "brresultdetails.h"

class BRResult;

class BRResultDetailsGeneralResult : public BRResultDetails
{
    Q_OBJECT
    Q_PROPERTY(QList<QObject*> results READ getResultsQML NOTIFY resultsChanged)
public:
    BRResultDetailsGeneralResult();

    QList<BRResult*> getResults();
    QList<QObject*> getResultsQML();

    Q_INVOKABLE QString toString() override;

private:

signals:
    void resultsChanged();
};

#endif // BRGENERALRESULT_H
