#include "brcontroller.h"

BRController::BRController(QObject *parent) : QObject(parent)
{
    this->providerDr = new BRProviderDr(this);
    this->providerVl = new BRProviderVl(this);
}


BRCalendar* BRController::getCalendar(BRWidget::BRFederation federation) {
    if(federation == BRWidget::IFSC)
        return this->providerVl->getCalendar(federation);
    else
        return this->providerDr->getCalendar(federation);
}
