# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

# [0.03.1] - UR
### Changed
- the boulder result rect doesn't have a background if there is no result now
- the selected route is kept when changing cats

# [0.03.0] - 2019-07-11
### Added
- it is not possible to pin competitions and only show these
- flowcharts for the speed finals are now available

# [0.02.0] - 2019-06-23
### Added
- start number is now visible after the name (in startlists and results)
- it is now possible to filter the competitons by competiton type (eg. worldcup, youth event, etc.)
- event website url is now present in the cat select dialog if available

### Changed
- competitons are clickable if there is a infosheet or event website url available event when they don't have any categories

# [0.01.6] - 2019-06-15
### Fixed
- label for IFSC calendar

# [0.01.5] - 2019-06-15
### Fixed
- layout fixes
- cat when changing from 'MEN' to 'WOMEN' 'MEN' is not missing anymore

### Added
- infosheet url is now present in the cat select dialog if available

# [0.01.4b] - 2019-05-31
### Fixed
- fixed some errors that occurred when changing categories
- fixed layout bugs
- new app icon

## [0.01.3b] - 2019-05-25
### Fixed
- minor bug fixes

## [0.01.2b] - 2019-05-24
### Added
- added ability to change category in results without going back to calendar

## [0.01.1b] - 2019-05-14
### Added
- added animations to text and objects at the top toolbar
- added athlete view (click on athlete to open) (still missing ranking results)
- coloring on competitons is now the same as on digitalrock.de

## [0.01b] - 2019-05-11
### Added
- initial release

