#ifndef BRCONTROLLER_H
#define BRCONTROLLER_H

#include <QObject>

#include "brproviderdr.h"
#include "brprovidervl.h"
#include "brwidget.h"

class BRCalendar;

class BRController : public QObject
{
    Q_OBJECT
public:
    explicit BRController(QObject *parent = nullptr);

    Q_INVOKABLE BRCalendar* getCalendar(BRWidget::BRFederation federation);

private:
    BRProvider* providerDr;
    BRProvider* providerVl;

signals:

};

#endif // BRCONTROLLER_H
