#ifndef BRRESULTDETAILSUNKNOWN_H
#define BRRESULTDETAILSUNKNOWN_H

#include <QObject>

#include "brresultdetails.h"

class BRResultDetailsUnknown : public BRResultDetails
{
    Q_OBJECT
    Q_PROPERTY(QString score READ toString NOTIFY metadataChanged())
public:
    BRResultDetailsUnknown(QString score);

    Q_INVOKABLE QString toString() {
        return this->score;
    }

private:
    QString score;

    BRDiscipline getType() {
        return BRWidget::UnknownDiscipline;
    }
};

#endif // BRRESULTDETAILSUNKNOWN_H
